Bug 478483 - Display corruption after switching from 800x600 to full panel size
Display corruption after switching from 800x600 to full panel size
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 15:55 EST by Gianluca Sforna
Modified: 2009-12-18 02:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:26:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot exhibiting the problem (754.03 KB, image/png)
2008-12-30 15:55 EST, Gianluca Sforna
no flags Details
Xorg log (72.24 KB, text/plain)
2008-12-30 15:56 EST, Gianluca Sforna
no flags Details

  None (edit)
Description Gianluca Sforna 2008-12-30 15:55:33 EST
Created attachment 327977 [details]
screenshot exhibiting the problem

After exiting from childsplay (it sets the resolution to 800x600) the panel is reset to its regular size (1400x1050) but the screen is not completely repainted (see screenshot)

Card is an ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-63.fc10.i386
kernel-2.6.27.9-159.fc10.i686
Comment 1 Gianluca Sforna 2008-12-30 15:56:31 EST
Created attachment 327978 [details]
Xorg log
Comment 2 Samuel Sieb 2009-03-31 23:46:18 EDT
I see the same thing on an RS690.  After running any fullscreen app with a smaller resolution, the rest of the screen doesn't refresh right away.

kernel-2.6.27.19-170.2.35.fc10.i686
xorg-x11-drv-ati-6.10.0-2.fc10.i386

This only happens with KMS.  With nomodeset, it works properly.
Comment 3 Bug Zapper 2009-11-18 05:36:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:26:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.